Update a List of Element Dynamic Attributes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • element_id number Required

    id of the element

Query parameters

  • fields string

    extra information of each element dynamic attribute on the list

  • limit number

    maximum count of the element dynamic attribute list

  • offset number

    skip that many element dynamic attribute before beginning to return

application/json

Body

  • attributename_1224hourtime string
  • value string Required
    • value validation (ie. string or boolean) could change based on specific element dynamic attribute.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • attributename_1224hourtime string

      the updated attribute name

PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/elements/{element_id}/dynamic_attributes' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"attributename_1224hourtime":"string","value":"24hr"}'
Request examples
{
  "attributename_1224hourtime": "string",
  "value": "24hr"
}
Response examples (200)
[
  {
    "attribute_name": "12_24_hour_time"
  },
  {
    "attribute_name": "gdpr"
  }
]